// Reference array sent to dynamic staticRenderFns
var staticRenderFns = [];


Vue.component('order-product', {
    mixins: [mixinTemplate],
    props: ['template', 'keyItem', 'orderProduct'],
    computed: {},
   /* data:function() {
        return{

            product:null
        };
       /!* return Object.assign(
            {
                /!*title: null,
                price: null,
                priceWithTax: null,
                priceWithTaxAndReduction: null,
                totalWithoutTax: null,
                totalWithTax: null,
                buyingPrice: null,
                quantity: 1,
                unit: null,
                product: null*!/
            }, window.orderProducts[this.key])*!/
    },*/
    mounted:function () {
        log(this.keyItem);
        this.setFields()
//this.$el.replace(/__name__/g, this.key);
    },
    methods:{
        init:function(){
            //log(this.$els);
            //log(this.$element);
        },
        setFields:function(){
            var app = this;
            fields = ['fieldQuantity', 'fieldProduct'];
            fields.forEach(function (field) {
                var name = $(app.$refs[field]).prop('name');
                var id = $(app.$refs[field]).prop('id');
                name = name.replace(/__name__/g, app.keyItem);
                id = id.replace(/__name__/g, app.keyItem);
                $(app.$refs[field]).prop('name', name);
                $(app.$refs[field]).prop('id', id);

                //log(app.$refs[field]);
            });
        },
        updateOrderProducts:function () {
            this.$parent.updateOrderProducts();
        },
        deleteOrderProduct:function(){
            $(this.$refs.fieldQuantity).val(0);
            this.$parent.updateOrderProducts();
        }
        /*log($('#order-products-list').data('prototype'));
        var prototype = $('#order-products-list').data('prototype');

        var newForm = prototype;
        newForm = newForm.replace(/__name__/g, key);

        */
    }


});

appOrder = new Vue({
    el: '#lc-order-edit',
    delimiters: ['${', '}'],
    computed: {},
    data() {
        return Object.assign(
            {
                templateTest: window.templateTest,
                orderProducts:[],
                order:[],

                isLoading:true,
                addProductId:null,
                addProductQuantity:null,

                sectionsArray: [
                    {
                        name: 'cart',
                        nameDisplay: 'Panier'
                    },
                    {
                        name: 'addresses',
                        nameDisplay: 'Adresses'
                    },
                    {
                        name: 'delivery',
                        nameDisplay: 'Livraisons'
                    }
                ]
            })/*, window.appOrderProductFamilyValues)*/;
    },
    mounted: function () {
        log('ncnnc');
        log(window.templateTest);
        this.updateOrder(window.orderObject);
        //log($(this.$el).find('#orderProductsForm').replace(/__name__/g, 0));
        },
    methods: {
        updateOrderProducts:function(){
            var app = this;
            this.isLoading=true;
            //$('#orderProductsForm').submit();
            $.ajax({
                url: $('#orderProductsForm').prop('action'),
                method: "POST",
                data: $('#orderProductsForm').serialize(),
                dataType:"json",
                success: function (response) {
                    generateNotice(response.status, response.message);
                    if (response.status == 'success') {
                        app.updateOrder(response.data);
                    }
                }
            });
        },
        updateOrder:function (orderObject){
            this.orderProducts = orderObject.orderProducts;
            this.order = orderObject;
            this.isLoading=false;
        },
        addProductToOrder:function(){
            var app = this;
            this.isLoading=true;
            $.ajax({
                url: $('#addProductToOrderForm').prop('action'),
                method: "POST",
                data: $('#addProductToOrderForm').serialize(),
                dataType:"json",
                success: function (response) {
                    generateNotice(response.status, response.message);
                    if (response.status == 'success') {
                        app.updateOrder(response.data);
                    }
                }
            });
        },


    },
    watch: {
    }
});


